API referenceStorageDisks
Create a disk
Requires the disks:create permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/disks" \ -H "Content-Type: application/json" \ -d '{ "size_gib": 0, "storage_type": "string" }'{ "attached_to": "37d61428-83df-487b-b700-c3ef836a57a1", "baseline_iops": 0, "created_at": "2019-08-24T14:15:22Z", "device_path": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "in_use": true, "name": "string", "provisioned_iops": 0, "serial": "string", "size_gib": 0, "status": "string", "status_reason": "string", "storage_type": "string", "tags": { "property1": "string", "property2": "string" }, "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "updated_at": "2019-08-24T14:15:22Z", "used_by": "string", "used_by_id": "7e65d40b-5086-4212-97fb-1628896a54f6", "used_by_kind": "string", "used_by_name": "string"}